Delete your account

DELETE
https://api.datawrapper.de/v3/me

Be careful! This is a destructive action. By deleting your account you will loose access to all of your charts. If this endpoint should be used in an application (CMS), it is recommended to ask the user for confirmation. Requires scope user:write.

Example Request

curl --request DELETE \
  --url https://api.datawrapper.de/v3/me \
  --header 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  --header 'Content-Type: application/json' \
  --data '{
  "email": "zola@hydra.com",
  "password": "string"
}'

Headers

NameValueRequiredDescription
Content-Typeapplication/jsonYesThe format of the request body.

Request Body

FieldTypeRequiredDescription
emailstringNoUser email address to confirm deletion.
passwordstringYesUser password to confirm deletion